ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/preview/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/protocols/preview/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "id": 0, "name": "string", "steps": [ { … } ], "labwares": [ { … } ], "deckPositions": [ { … } ], "isValid": true }
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/protocols/{id}?includeFullStepData=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The protocol
stepsArray of StepGetDto (object) or AddReagentStepGetDto (object) or ReplicateSamplesStepGetDto (object) or TransferSamplesStepGetDto (object) or HeatShakeStepGetDto (object) or PauseStepGetDto (object) or HitPickingStepGetDto (object) or SerialDilutionStepGetDto (object) or RtsaStepGetDto (object) or BarcodeStepGetDto (object) or TransportStepGetDto (object) or NormalizationStepGetDto (object) or ReagentFromFileStepGetDto (object) or LightingStepGetDto (object) or HeatCoolStepGetDto (object) or LidStepGetDto (object) or HepaStepGetDto (object) or null
The list of steps
The validation errors found during the last verification, will be empty if isValid is true.
isHiddenboolean
Whether the protocol should be hidden or visible
Response
application/json
{ "id": 0, "name": "string", "deck": { "id": 0, "positions": [ … ] }, "hardwareRequirements": { "hhs": true, "hhc": true, "hepaUv": true, "twoChannel": true, "mph": true, "siteOne": true }, "steps": [ { … } ], "isValid": true, "isFavorite": true, "validationErrors": [ "string" ], "createdDateTime": "2019-08-24T14:15:22Z", "createdByUserName": "string", "lastModifiedDateTime": "2019-08-24T14:15:22Z", "lastModifiedUser": "string", "lastRunDateTime": "2019-08-24T14:15:22Z", "lastRunUser": "string", "isHidden": true, "isReadOnly": true, "reportSettings": { "savePdf": true, "saveJson": true, "savePipettingCsv": true, "pipettingCsvPerStep": true, "reportPath": "string" } }
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/validate-name/{protocolId}/{name}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/protocols/validate-name/{protocolId}/{name}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
null